org.apache.pdfbox.pdfparser

## Class PDFObjectStreamParser

- java.lang.Object
- - org.apache.pdfbox.pdfparser.BaseParser
  - - org.apache.pdfbox.pdfparser.PDFObjectStreamParser

    public class PDFObjectStreamParser
    extends BaseParser

This will parse a PDF 1.5 object stream and extract all of the objects from the stream.

Author:
  Ben Litchfield

### Field Summary

### Fields inherited from class org.apache.pdfbox.pdfparser.BaseParser

`A, ASCII_CR, ASCII_LF, B, D, DEF, document, E, ENDOBJ_STRING, ENDSTREAM_STRING, J, M, N, O, R, S, STREAM_STRING, T`

### Constructor Summary

Constructors
Constructor and Description
`PDFObjectStreamParser(COSStream stream, COSDocument document)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<COSObject>` `getObjects()` This will get the objects that were parsed from the stream.
`void` `parse()` This will parse the tokens in the stream.

### Methods inherited from class org.apache.pdfbox.pdfparser.BaseParser

`isClosing, isClosing, isDigit, isDigit, isEndOfName, isEOL, isEOL, isSpace, isSpace, isWhitespace, isWhitespace, parseBoolean, parseCOSArray, parseCOSDictionary, parseCOSName, parseCOSString, parseDirObject, readExpectedChar, readExpectedString, readExpectedString, readGenerationNumber, readInt, readLine, readLong, readObjectNumber, readString, readString, readStringNumber, skipLinebreak, skipSpaces, skipWhiteSpaces`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDFObjectStreamParser

    public PDFObjectStreamParser(COSStream stream,
                                 COSDocument document)
                          throws IOException

Constructor.

Parameters:
  `stream` - The stream to parse.
  `document` - The document for the current parsing.
Throws:
  `IOException` - If there is an error initializing the stream.

### Method Detail

#### parse

    public void parse()
               throws IOException

This will parse the tokens in the stream. This will close the stream when it is finished parsing.

Throws:
  `IOException` - If there is an error while parsing the stream.

#### getObjects

    public List<COSObject> getObjects()

This will get the objects that were parsed from the stream.

Returns:
  All of the objects in the stream.